local L = AceLibrary("AceLocale-2.2"):new("Quartz")
L:RegisterTranslations("enUS", function()
	return {
		["Quartz"] = true,
		["Latency"] = true,
		["Tradeskill Merge"] = true,
		["Global Cooldown"] = true,
		["Buffs"] = true,
		
		-- Basic shared stuff
		["Alpha"] = true,
		["Background"] = true,
		["Border"] = true,
		["Bottom"] = true,
		["Bottom Left"] = true,
		["Bottom Right"] = true,
		["Center"] = true,
		["Colors"] = true,
		["Default"] = true,
		["Enable"] = true,
		["Font"] = true,
		["Font Size"] = true,
		["Gap"] = true,
		["Height"] = true,
		["Horizontal"] = true,
		["Left"] = true,
		["Left (grow down)"] = true,
		["Left (grow up)"] = true,
		["None"] = true,
		["Right"] = true,
		["Right (grow down)"] = true,
		["Right (grow up)"] = true,
		["Scale"] = true,
		["Spacing"] = true,
		["Texture"] = true,
		["Text Color"] = true,
		["Top"] = true,
		["Top Left"] = true,
		["Top Right"] = true,
		["Vertical"] = true,
		["Width"] = true,
		
		-- Option Names
		
		["Lock"] = true,
		["Hide Icon"] = true,
		["Icon Alpha"] = true,
		["Icon Gap"] = true,
		["Name Text Position"] = true,
		["Name Text Font Size"] = true,
		["Hide Time Text"] = true,
		["Time Font Size"] = true,
		["Time Text Position"] = true,
		["Spell Text"] = true,
		["Time Text"] = true,
		["Casting"] = true,
		["Channeling"] = true,
		["Complete"] = true,
		["Failed"] = true,
		["Spark Color"] = true,
		["Background Alpha"] = true,
		["Border Alpha"] = true,
		["Disable Blizzard Cast Bar"] = true,
		["Snap to Center"] = true,
		["Icon Position"] = true,
		["Text Alignment"] = true,
		
			--Latency
			["Embed"] = true,
			["Embed Safety Margin"] = true,
			["Bar Color"] = true,
			["Show Text"] = true,
			--GCD
			["Primary"] = true,
			["Backup"] = true,
			["Spell"] = true,
			["Bar Position"] = true,
			--Buffs
			["Focus"] = true,
			["Target"] = true,
			["Enable %s"] = true,
			["Enable Buffs"] = true,
			["Enable Debuffs"] = true,
			["Position"] = true,
			["Offset"] = true,
			["Show Icons"] = true,
			["Buff Bar Width"] = true,
			["Buff Bar Height"] = true,
			["Buff Name Text"] = true,
			["Buff Time Text"] = true,
			["Buff Color"] = true,
			["Debuff Color"] = true,
			
		-- Option descriptions
		
		["Toggle Cast Bar lock"] = true,
		["Hide Spell Cast Icon"] = true,
		["Set the Spell Cast icon alpha"] = true,
		["Set where the Spell Cast icon appears"] = true,
		["Space between the cast bar and the icon."] = true,
		["Set the Cast Bar Texture"] = true,
		["Set the font used in the Name and Time texts"] = true,
		["Set the alignment of the spell name text"] = true,
		["Set the size of the spell name text"] = true,
		["Disable the text that displays the time remaining on your cast"] = true,
		["Set the size of the time text"] = true,
		["Set the alignment of the time text"] = true,
		["Set the border style"] = true,
		["Set the color of the %s"] = true,
		["Set the color of the cast bar when %s"] = true,
		["Set the color of the casting bar spark"] = true,
		["Set the color of the casting bar background"] = true,
		["Set the alpha of the casting bar background"] = true,
		["Set the color of the casting bar border"] = true,
		["Set the alpha of the casting bar border"] = true,
		["Disable and hide the default UI's casting bar"] = true,
		["Move the CastBar to center of the screen along the specified axis"] = true,
		
			--Latency
			["Include Latency time in the displayed cast bar."] = true,
			["Embed mode will decrease it's lag estimates by this amount.  Ideally, set it to the difference between your highest and lowest ping amounts.  (ie, if your ping varies from 200ms to 400ms, set it to 0.2)"] = true,
			["Latency Bar"] = true,
			["Set the alpha of the latency bar"] = true,
			["Display the latency time as a number on the latency bar"] = true,
			["Set the font used for the latency text"] = true,
			["Set the size of the latency text"] = true,
			["Set the color of the latency text"] = true,
			["Set the position of the latency text"] = true,
			--GCD
			["%s spell to check for the Global Cooldown"] = true,
			["Set the color of the GCD bar spark"] = true,
			["Set the height of the GCD bar"] = true,
			["Set the alpha of the GCD bar"] = true,
			["Set the position of the GCD bar"] = true,
			["Tweak the distance of the GCD bar from the cast bar"] = true,
			--Buffs
			["Show buffs/debuffs for your %s"] = true,
			["Show buffs for your %s"] = true,
			["Show debuffs for your %s"] = true,
			["Position the bars for your %s"] = true,
			["Tweak the vertical position of the bars for your %s"] = true,
			["Tweak the space between bars for your %s"] = true,
			["Tweak the horizontal position of the bars for your %s"] = true,
			["Show icons on buffs and debuffs for your %s"] = true,
			["Set the side of the buff bar that the icon appears on"] = true,
			["Set the buff bar Texture"] = true,
			["Set the width of the buff bars"] = true,
			["Set the height of the buff bars"] = true,
			["Display the names of buffs/debuffs on their bars"] = true,
			["Display the time remaining on buffs/debuffs on their bars"] = true,
			["Set the font used in the buff bars"] = true,
			["Set the font size for the buff bars"] = true,
			["Set the alpha of the buff bars"] = true,
			["Set the color of the bars for buffs"] = true,
			["Set the color of the bars for debuffs"] = true,
			["Set the color of the text for the buff bars"] = true,
			
		-- Other crap
			--Latency
			["%dms"] = true,
			--GCD
			["<Spell Name>"] = true,
			["Invalid Spell"] = true,
			["Spell_Warning"] = "|cffff3333Warning: You have no spell chosen for Quartz's Global Cooldown module.  Please enter a spell name in the menu (/quartz, then click Global Cooldown). Note, it is recommended to use a spell that cannot have a cooldown other than the global cooldown and cannot be interrupted, such as Find Herbs",
			--Buffs
			["%dm"] = true,
	}
end)
